# cordova-plugin-publish

A Cordova plugin for automatically publishing to Google Play as part of a continuous integration build.

## Environment variables

- `GOOGLE_AUTH_FILE_LOCATION`: An absolute path to a JSON file that is used to authenticate the Google service account that will be used to publish the app

## How to use this

In the deployment section of your CI build, run `./gradlew publishApkRelease` in your `platforms/android` directory. Note that the task will not be present if `./gradlew` is not run from `platforms/android`. Make sure you specify where your Google service account json auth file is located with the `GOOGLE_AUTH_FILE_LOCATION` environment variable. You should also run this target with the same environment variables that you ran your release build with.

## License

MIT
